// @flow
import {transformGetRequest} from 'helpers';
import {default as settings} from 'settings';

export default (baseURL: string = settings.BASE_URL) => ({

	transformer: (
		response: {data: Object},
		prevData: Object,
		options?: Object,
	) => transformGetRequest(response, data => data, options),

	url: `${baseURL}/API/listings/:id/folders/:folderId/status/counts`,
});
