// @flow
import {transformJSONArray} from 'helpers';
import {contact as contactModel} from '../models';
import {default as settings} from 'settings';

export default (baseURL: string = settings.BASE_URL) => ({
	transformer: transformJSONArray(contactModel),
	url        : `${baseURL}/API/contacts`,
});
