// @flow
import _ from 'lodash';
import {compose, lifecycle} from 'recompose';

export default (fetchOnMount?: boolean) => (WrappedComponent: any) => compose(
	lifecycle({
		componentDidMount() {
			if(fetchOnMount)
				this.props.faFetched[this.props.resolvedKey].sync(_.extend(
					{},
					this.props.faFetched[this.props.resolvedKey].urlParams,
					this.props.getQueryParams(this.props),
				));
		},
	}),
)(WrappedComponent)
