// @flow
import {contact as contactModel} from '../models';
import {default as settings} from 'settings';
import {transformGetRequest} from 'helpers';

export default (baseURL: string = settings.BASE_URL) => ({
	crud: true,

	transformer: (
		response: {data: Object},
		prevData: Object,
		options?: Object,
	) => transformGetRequest(response, contactModel, options),

	url: `${baseURL}/API/contacts/:id`,
});
